.note.editor.app {
    @apply mt-10;
    @apply w-11/12;
    @apply flex flex-col;

    .note-header {
        // @apply border-b-2 border-brand-green;
        @apply mb-6;
        @apply w-full;

        &>.title {
            @apply mb-4;

            .textarea {
                @apply w-full;
                @apply px-2 py-2;
                @apply text-4xl font-display text-brand-black;
                @apply transition-all duration-75 ease-in;

                &:focus {
                    @apply outline-none;
                    @apply bg-gray-100 border-b-2 border-brand-green;
                }

                &~.error {
                    @apply ml-4 text-brand-red text-sm;

                    .message {
                        @apply ml-1;
                    }
                }
            }
        }

        .metadata {
            @apply mb-6;
            @apply flex items-center;
            @apply text-brand-green;

            &>.notebook {
                @apply w-4/12;
                @apply font-display text-sm;

                .name {
                    @apply cursor-pointer;

                    &:hover {
                        @apply text-brand-red;
                    }
                }

                .selection {
                    @apply absolute;
                    @apply bg-white;
                    @apply z-10;
                    @apply shadow-lg;
                    @apply font-sans text-brand-black;
                    @apply border border-gray-300;
                    @apply w-auto;
                    min-width: 150px;
                    @apply p-2;

                    .action {
                        @apply flex justify-end;
                        @apply cursor-pointer;
                        @apply py-2;

                        &:hover {
                            @apply text-brand-red;
                        }
                    }

                    .list-of-notebooks {
                        li {
                            @apply border-b;
                            @apply py-2 ml-1;
                            @apply cursor-pointer;

                            &:hover {
                                @apply bg-red-100 text-brand-red;
                            }
                        }

                        li:first-child {
                            @apply border-t;
                        }

                        li:last-child {
                            @apply mb-2;
                        }
                    }
                }
            }

            &>.tags {
                @apply w-3/12;
                @apply relative;
                @apply flex justify-center;

                .tag {
                    @apply flex items-center;
                    @apply cursor-pointer;

                    &:hover {
                        @apply text-brand-red;
                    }

                    .number {
                        @apply ml-1;
                        @apply flex items-center justify-center;
                        @apply text-xs;
                        @apply rounded-full bg-brand-green text-white;
                        @apply w-4 h-4;

                        &:hover {
                            @apply bg-brand-red;
                        }
                    }
                }

                .selection {
                    @apply absolute;
                    @apply right-0 mr-3 mt-1;
                    @apply bg-white;
                    @apply z-10;
                    @apply shadow-lg;
                    @apply font-sans text-brand-black;
                    @apply border border-gray-300;
                    @apply w-auto;
                    min-width: 150px;
                    @apply p-2;

                    .action {
                        @apply flex justify-end;
                        @apply cursor-pointer;
                        @apply py-2;

                        &:hover {
                            @apply text-brand-red;
                        }
                    }

                    .tags {
                        @apply mb-3;
                        @apply text-xs;
                        @apply flex flex-wrap;

                        .tag {
                            @apply p-1 m-1;
                            @apply rounded;
                            @apply bg-red-100;

                            &>.icon {
                                @apply ml-1;
                            }

                        }
                    }

                    .list-of-tags {
                        li {
                            @apply border-b;
                            @apply py-2 ml-1;
                            @apply cursor-pointer;

                            &:hover {
                                @apply bg-red-100 text-brand-red;
                            }
                        }

                        li:first-child {
                            @apply border-t;
                        }

                        li:last-child {
                            @apply mb-2;
                        }
                    }
                }
            }

            &>.date {
                @apply w-3/12;
                @apply flex justify-end;
                @apply font-display text-sm;
            }

            &>.options {
                @apply w-2/12;
                @apply flex justify-end;
            }
        }
    }

    .note {
        #codex-editor {
            @apply w-full;
        }
    }
}

@screen md {
    .note.editor.app {
        @apply w-9/12;

        .note-header {
            .metadata {
                &>.notebook {
                    @apply w-3/6;
                }

                &>.tags {
                    @apply w-1/6;

                    .selection {
                        @apply right-auto mr-0;
                    }
                }

                &>.date {
                    @apply w-1/6;
                }

                &>.options {
                    @apply w-1/6;
                }
            }
        }
    }
}

@screen lg {
    .note.editor.app {
        @apply w-7/12;

        .note-header {
            .metadata {
                .tags {
                    .selection {
                        @apply right-auto mr-0;
                    }
                }
            }
        }
    }
}